Name:          python-pip
Version:       22.0.4
Release:       1mamba
Summary:       A tool for installing and managing Python packages
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pip.pypa.io/en/stable/
Source:        http://pypi.debian.net/pip/pip-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(setuptools)
## AUTOBUILDREQ-END

%description
pip is a tool for installing and managing Python packages, such as those found in the Python Package Index. It’s a replacement for easy_install.

%if "%{?with_pyver}" != ""
%if "%{?with_pyver}" == "3"
%define py_requires_append \
Requires:     python-setuptools%{?pyappend:-%pyappend} \
Provides:     pip \
Provides:     python-pip \
Obsoletes:    python-pip < 20.3
%pyver_package
%endif
%if "%{?with_pyver}" != "3"
%define py_requires_append \
Requires:     python-setuptools%{?pyappend:-%pyappend}
%pyver_package
%endif
%endif

%prep
%setup -q -n pip-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if "%{?with_pyver}" != "3"
rm -f %{buildroot}%{_bindir}/pip
sed -i "\,%{_bindir}/pip$,d" %{name}.filelist
rm -f %{buildroot}%{_bindir}/pip3
sed -i "\,%{_bindir}/pip3$,d" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/pip-%{version}-py*.egg-info
%{python_sitearch}/pip-%{version}-py*.egg-info/*

%changelog
* Mon Mar 07 2022 Automatic Build System <autodist@mambasoft.it> 22.0.4-1mamba
- automatic version update by autodist

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 22.0.3-1mamba
- automatic version update by autodist

* Sat Oct 23 2021 Automatic Build System <autodist@mambasoft.it> 21.3.1-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 21.3-1mamba
- automatic version update by autodist

* Fri Aug 13 2021 Automatic Build System <autodist@mambasoft.it> 21.2.4-1mamba
- automatic version update by autodist

* Fri Aug 06 2021 Automatic Build System <autodist@mambasoft.it> 21.2.3-1mamba
- automatic version update by autodist

* Sat Jul 31 2021 Automatic Build System <autodist@mambasoft.it> 21.2.2-1mamba
- automatic version update by autodist

* Sun Jul 25 2021 Automatic Build System <autodist@mambasoft.it> 21.2.1-1mamba
- automatic version update by autodist

* Sat Jun 26 2021 Automatic Build System <autodist@mambasoft.it> 21.1.3-1mamba
- automatic version update by autodist

* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.1.2-1mamba
- update to 21.1.2

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 21.1.1-1mamba
- automatic version update by autodist

* Sun Apr 25 2021 Automatic Build System <autodist@mambasoft.it> 21.1-1mamba
- automatic version update by autodist

* Thu Mar 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.0.1-2mamba
- rebuilt with python dist deps; restore -py36 subpackage

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 21.0.1-1mamba
- automatic version update by autodist

* Tue Jan 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.0-1mamba
- update to 21.0

* Sat Jan 23 2021 Automatic Build System <autodist@mambasoft.it> 20.3-1mamba
- automatic version update by autodist

* Wed Dec 30 2020 Automatic Build System <autodist@mambasoft.it> 20.2.4-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 20.2.3-1mamba
- automatic version update by autodist

* Tue Dec 15 2020 Automatic Build System <autodist@mambasoft.it> 20.2.2-1mamba
- automatic version update by autodist

* Sat Dec 05 2020 Automatic Build System <autodist@mambasoft.it> 20.2.1-1mamba
- automatic version update by autodist

* Sun Nov 15 2020 Automatic Build System <autodist@mambasoft.it> 20.2-1mamba
- automatic version update by autodist

* Mon Jun 29 2020 Automatic Build System <autodist@mambasoft.it> 20.1.1-1mamba
- automatic version update by autodist

* Mon Jun 22 2020 Automatic Build System <autodist@mambasoft.it> 20.1-1mamba
- automatic version update by autodist

* Mon Mar 16 2020 Automatic Build System <autodist@mambasoft.it> 20.0.2-1mamba
- automatic version update by autodist

* Fri Feb 21 2020 Automatic Build System <autodist@mambasoft.it> 19.3.1-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 19.3-1mamba
- automatic version update by autodist

* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 19.2.3-1mamba
- automatic version update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 19.2.1-1mamba
- update to 19.2.1

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 19.0.3-1mamba
- automatic version update by autodist

* Wed Dec 05 2018 Automatic Build System <autodist@mambasoft.it> 18.1-1mamba
- automatic version update by autodist

* Mon Aug 06 2018 Automatic Build System <autodist@mambasoft.it> 18.0-1mamba
- automatic version update by autodist

* Sat Jun 02 2018 Automatic Build System <autodist@mambasoft.it> 10.0.1-1mamba
- automatic version update by autodist

* Fri Dec 16 2016 Automatic Build System <autodist@mambasoft.it> 9.0.1-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 8.1.2-1mamba
- automatic version update by autodist

* Sat Mar 26 2016 Automatic Build System <autodist@mambasoft.it> 8.1.1-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Sun Jan 24 2016 Automatic Build System <autodist@mambasoft.it> 8.0.2-1mamba
- automatic version update by autodist

* Mon Aug 24 2015 Automatic Build System <autodist@mambasoft.it> 7.1.2-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Thu Jun 04 2015 Automatic Build System <autodist@mambasoft.it> 7.0.3-1mamba
- automatic version update by autodist

* Sun May 24 2015 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Sun May 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.1-2mamba
- added python3 subpackage

* Tue Apr 07 2015 Automatic Build System <autodist@mambasoft.it> 6.1.1-1mamba
- automatic version update by autodist

* Fri Feb 06 2015 Automatic Build System <autodist@mambasoft.it> 6.0.8-1mamba
- automatic version update by autodist

* Fri Jan 30 2015 Automatic Build System <autodist@mambasoft.it> 6.0.7-1mamba
- automatic version update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 6.0.6-1mamba
- automatic update by autodist

* Sun Dec 28 2014 Automatic Build System <autodist@mambasoft.it> 6.0.3-1mamba
- automatic version update by autodist

* Thu May 22 2014 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Wed May 07 2014 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Tue Feb 25 2014 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Sat Jan 25 2014 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Thu Jan 02 2014 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Sat Aug 10 2013 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Thu Jul 25 2013 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-2mamba
- python 2.7 mass rebuild

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue Sep 04 2012 openmamba WebBuild System <webbuild@openmamba.org> 1.2-1mamba
- package created by autospec
